diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index 827c7ca..3de7e5d 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -1613,6 +1613,8 @@ define('pgadmin.browser.node', [
 
           // Show contents before buttons
           j.prepend(content);
+          // add required attributes to select2 input to resolve accessibility issue.
+          $('.select2-search__field').attr('aria-label', 'select2');
           view.$el.closest('.wcFloating').find('.wcFrameButtonBar > .wcFrameButton[style!="display: none;"]').on('keydown', function(e) {
 
             if(e.shiftKey && e.keyCode === 9) {
diff --git a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
index 285607f..b825d02 100644
--- a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
+++ b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
@@ -319,7 +319,7 @@ define('misc.bgprocess', [
               <div class="card-header bg-primary d-flex">
                 <div>${self.type_desc}</div>
                 <div class="ml-auto">
-                  <button class="btn btn-sm-sq btn-primary pg-bg-close"><i class="fa fa-lg fa-times" role="img"></i></button>
+                  <button class="btn btn-sm-sq btn-primary pg-bg-close" aria-label='close'><i class="fa fa-lg fa-times" role="img"></i></button>
                 </div>
               </div>
               <div class="card-body px-2">
diff --git a/web/pgadmin/static/scss/resources/_default.variables.scss b/web/pgadmin/static/scss/resources/_default.variables.scss
index 1ad7c99..9d91378 100644
--- a/web/pgadmin/static/scss/resources/_default.variables.scss
+++ b/web/pgadmin/static/scss/resources/_default.variables.scss
@@ -65,7 +65,7 @@ $text-height-calc: $line-height-base*$font-size-base/1rem;
 $grid-gutter-width: 15px;
 $border-radius: 0.25rem;
 
-$text-muted: #667185 !default;
+$text-muted: #646B82 !default;
 $header-bg: $color-bg !default;
 $badge-header-bg: $header-bg !default;
 
diff --git a/web/pgadmin/tools/import_export/static/js/import_export.js b/web/pgadmin/tools/import_export/static/js/import_export.js
index fcb8bf8..7fbaab3 100644
--- a/web/pgadmin/tools/import_export/static/js/import_export.js
+++ b/web/pgadmin/tools/import_export/static/js/import_export.js
@@ -591,6 +591,7 @@ define([
 
               onshow: function() {
                 var container = $(this.elements.body).find('.tab-content:first > .tab-pane.active:first');
+                $('.select2-search__field').attr('aria-label', 'select2');
                 commonUtils.findAndSetFocus(container);
               },
             },
